"use strict";

var _ = require("../");

describe("parseArgs", () => {
  it("empty", () => {
    expect((0, _.parseArgs)([])).toMatchSnapshot();
  });
  it("command only", () => {
    expect((0, _.parseArgs)(["prettier"])).toMatchSnapshot();
  });
  it("command and 1 file", () => {
    expect((0, _.parseArgs)(["prettier", "a.js"])).toMatchSnapshot();
  });
  it("command and 2 files", () => {
    expect((0, _.parseArgs)(["prettier", "a.js", "b.js"])).toMatchSnapshot();
  });
  it("command, separator and 1 file", () => {
    expect((0, _.parseArgs)(["prettier", "--", "a.js"])).toMatchSnapshot();
  });
  it("command, 1 option and 1 file", () => {
    expect((0, _.parseArgs)(["prettier", "--write", "--", "a.js"])).toMatchSnapshot();
  });
  it("command, 1 option, two separators, 1 file", () => {
    expect((0, _.parseArgs)(["prettier", "--write", "--", "--", "a.js"])).toMatchSnapshot();
  });
});